Page MenuHomeVyOS Platform

pseudo-ethernet link interface can not be changed
Closed, ResolvedPublicBUG

Description

This bug was solved by rewriting pseudo ethernet to XML/Python (T1635).

In the old node.def implementation there is no code path which tears down the old pseudo-ethernet/macvlan interface when the lower link is changed. The lower link can only be specified during creation.

One can delete and re-add the complete interface as a workaround. VXLAN has a similar limitation in 1.2 - so this big should be recorded but it is not critical.

Details

Difficulty level
Normal (likely a few hours)
Version
1.2.0
Why the issue appeared?
Will be filled on close
Is it a breaking change?
Unspecified (possibly destroys the router)

Event Timeline

c-po triaged this task as Wishlist priority.Feb 13 2020, 7:21 AM
c-po created this task.
c-po updated the task description. (Show Details)
pasik added a subscriber: pasik.Feb 13 2020, 9:44 PM
syncer closed this task as Resolved.Apr 12 2020, 1:03 PM
syncer claimed this task.
syncer edited projects, added VyOS 1.3 Equuleus; removed VyOS 1.2 Crux.
c-po moved this task from Need Triage to Finished on the VyOS 1.3 Equuleus board.May 21 2020, 5:26 PM